View Issue Details

IDCategoryLast Update
0000062bugs2004-05-04 02:03
ReporternbdAssigned Topaul 
Reproducibilityalways 
Status closedResolutionreopened 
Product Version 
Fixed in Version 
Summary0000062: Export to audiofile crashes at rates 44100 and 22050
DescriptionStarted a new session, added one mono audiotrack, inserted external sound file (96khz 24bit mono), export works for other rates but 44,1 and 22,05khz segfaults.

Tried various export qualities. Tried export session and export selection, both crash.

gdb says:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 98311 (LWP 4597)]
0x40a10926 in mallopt () from /lib/libc.so.6
TagsNo tags attached.

Activities

nbd

2003-10-21 10:10

reporter   ~0000042

Version 0.9beta5-1 from debian experimental.

nbd

2003-10-21 11:53

reporter   ~0000043

Happens with CVS also (built today)

paul

2003-10-21 23:24

administrator   ~0000049

could you read the FAQ entry on using gdb, follow the instructions there, and add a new bugnote with the results?

nbd

2003-10-22 12:20

reporter   ~0000051

I removed the # marks because it mixed up the html

Thread 8 (Thread 98311 (LWP 1583)):
0 0x40670926 in mallopt () from /lib/libc.so.6
1 0x4066f6ff in free () from /lib/libc.so.6
2 0x405ce0a3 in operator delete(void*) () from /usr/lib/libstdc++.so.5
3 0x405ce0ff in operator delete[](void*) () from /usr/lib/libstdc++.so.5
4 0x084afce8 in ARDOUR::Session::export_audio(ARDOUR::AudioExportSpecification&) ()
    at basic_signal.cc:25
5 0x0820d72c in Editor::_export_thread(void*) () at basic_signal.cc:25
6 0x40291c00 in pthread_start_thread () from /lib/libpthread.so.0
7 0x40291c7f in pthread_start_thread_event () from /lib/libpthread.so.0
8 0x406d5ae7 in clone () from /lib/libc.so.6

Thread 7 (Thread 81926 (LWP 1582)):
0 0x406cd666 in poll () from /lib/libc.so.6
1 0x084b5c35 in ARDOUR::Session::midi_thread_work() () at basic_signal.cc:25
2 0x084b5bc3 in ARDOUR::Session::_midi_thread_work(void*) () at basic_signal.cc:25
3 0x40291c00 in pthread_start_thread () from /lib/libpthread.so.0
4 0x40291c7f in pthread_start_thread_event () from /lib/libpthread.so.0
5 0x406d5ae7 in clone () from /lib/libc.so.6

Thread 6 (Thread 65541 (LWP 1581)):
0 0x40294364 in __pthread_sigsuspend () from /lib/libpthread.so.0
1 0x40294128 in __pthread_wait_for_restart_signal () from /lib/libpthread.so.0
2 0x40290ccb in pthread_cond_wait@GLIBC_2.0 () from /lib/libpthread.so.0
3 0x084953dc in ARDOUR::Session::butler_thread_work() () at basic_signal.cc:25
4 0x08494cb3 in ARDOUR::Session::_butler_thread_work(void*) () at basic_signal.cc:25
5 0x40291c00 in pthread_start_thread () from /lib/libpthread.so.0
6 0x40291c7f in pthread_start_thread_event () from /lib/libpthread.so.0
7 0x406d5ae7 in clone () from /lib/libc.so.6

Thread 5 (Thread 49156 (LWP 1580)):
0 0x406cd666 in poll () from /lib/libc.so.6
1 0x40285afa in jack_client_thread (arg=0x869a208) at client.c:685
2 0x40291c00 in pthread_start_thread () from /lib/libpthread.so.0
3 0x40291c7f in pthread_start_thread_event () from /lib/libpthread.so.0
4 0x406d5ae7 in clone () from /lib/libc.so.6

Thread 4 (Thread 32771 (LWP 1579)):
0 0x40294364 in __pthread_sigsuspend () from /lib/libpthread.so.0
1 0x40294128 in __pthread_wait_for_restart_signal () from /lib/libpthread.so.0
2 0x40290ccb in pthread_cond_wait@GLIBC_2.0 () from /lib/libpthread.so.0
3 0x084dc89c in ARDOUR::Source::peak_thread_work(void*) () at basic_signal.cc:25
4 0x40291c00 in pthread_start_thread () from /lib/libpthread.so.0
5 0x40291c7f in pthread_start_thread_event () from /lib/libpthread.so.0
6 0x406d5ae7 in clone () from /lib/libc.so.6

Thread 3 (Thread 16386 (LWP 1578)):
0 0x40627727 in sigsuspend () from /lib/libc.so.6
1 0x40294746 in sigwait () from /lib/libpthread.so.0
2 0x082a1bc3 in signal_thread(void*) () at basic_signal.cc:25
3 0x40291c00 in pthread_start_thread () from /lib/libpthread.so.0
4 0x40291c7f in pthread_start_thread_event () from /lib/libpthread.so.0
5 0x406d5ae7 in clone () from /lib/libc.so.6

Thread 2 (Thread 32769 (LWP 1577)):
0 0x406cd666 in poll () from /lib/libc.so.6
1 0x4029190e in __pthread_manager () from /lib/libpthread.so.0
2 0x40291b07 in __pthread_manager_event () from /lib/libpthread.so.0
3 0x406d5ae7 in clone () from /lib/libc.so.6

Thread 1 (Thread 16384 (LWP 1575)):
0 0x406cd666 in poll () from /lib/libc.so.6
1 0x4018f982 in g_main_is_running () from /usr/lib/libglib-1.2.so.0
2 0x4018f346 in g_get_current_time () from /usr/lib/libglib-1.2.so.0
3 0x4018f6bd in g_main_iteration () from /usr/lib/libglib-1.2.so.0
4 0x400b6e9b in gtk_main_iteration () from /usr/lib/libgtk-1.2.so.0
5 0x082525b1 in ExportDialog::do_export() () at basic_signal.cc:25
6 0x08254c9e in SigC::ObjectSlot0_<void, ExportDialog>::callback(void*) () at basic_signal.cc:25
7 0x081704df in Gtk::ProxySignal0<void, Gtk::Button, _GtkButton, 2>::gtk_callback(_GtkObject*, void*) () at basic_signal.cc:25
8 0x400b83f3 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
9 0x400e7a9e in gtk_signal_remove_emission_hook () from /usr/lib/libgtk-1.2.so.0
10 0x400e6f1c in gtk_signal_set_funcs () from /usr/lib/libgtk-1.2.so.0
11 0x400e4ea8 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
12 0x40057e00 in gtk_button_clicked () from /usr/lib/libgtk-1.2.so.0
13 0x4005936f in gtk_button_get_relief () from /usr/lib/libgtk-1.2.so.0
14 0x083b68ac in Gtk::Button::released_impl() (this=0x401465a0) at button.h:61
15 0x083b683e in Gtk::Button_Class::released_callback(_GtkButton*) (o_=0x891c208) at button.cc:157
16 0x400b83f3 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
17 0x400e6cce in gtk_signal_set_funcs () from /usr/lib/libgtk-1.2.so.0
18 0x400e4ea8 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
19 0x40057d44 in gtk_button_released () from /usr/lib/libgtk-1.2.so.0
20 0x40058d0e in gtk_button_get_relief () from /usr/lib/libgtk-1.2.so.0
21 0x083e960a in Gtk::Widget::button_release_event_impl(_GdkEventButton*) (this=0x401465a0,
    p0=0xfffffffc) at widget.h:111
22 0x083e9595 in Gtk::Widget_Class::button_release_event_callback(_GtkWidget*, _GdkEventButton*) (
    o_=0x891c208, p0=0x865b590) at widget.cc:1514
23 0x083eed8d in gtkmm_marshal_INT__POINTER(_GtkObject*, void (*)(), void*, _GtkArg*) (
    object=0xfffffffc,
    func=0x83e9560 <Gtk::Widget_Class::button_release_event_callback(_GtkWidget*, _GdkEventButton*)>,
    func_data=0xfffffffc, args=0x0) at marshal.cc:240
24 0x400e6d77 in gtk_signal_set_funcs () from /usr/lib/libgtk-1.2.so.0
25 0x400e4ea8 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
26 0x4011aa5a in gtk_widget_event () from /usr/lib/libgtk-1.2.so.0
27 0x400b805c in gtk_propagate_event () from /usr/lib/libgtk-1.2.so.0
28 0x400b717d in gtk_main_do_event () from /usr/lib/libgtk-1.2.so.0
29 0x4015fe20 in gdk_wm_protocols_filter () from /usr/lib/libgdk-1.2.so.0
0 0x40670926 in mallopt () from /lib/libc.so.6

paul

2003-10-23 17:45

administrator   ~0000062

fixed in paul's code as of oct 23 2003. the output buffer size passed to libsamplerate was wrong (off by one), causing heap corruption. fixed and tested at several different rates.

nbd

2003-12-12 23:00

reporter   ~0000293

Now crashed with "export selection" and when the selection was big enough (resulting file > 1MB @ 44.100)

Didn't crash with small selections ( exported < 1MB file @ 44.100 )

gdb says just:
Cannot find user-level thread for LWP 23069: generic error

So can't do "thread apply all bt"

taybin

2004-04-20 16:39

administrator   ~0000643

Reminder sent to nbd

Does this bug still exist in the latest tarball?

nbd

2004-05-03 14:05

reporter   ~0000675

Ardour/GTK 0.465.1 running with libardour 0.739.0

seems to work ok.

taybin

2004-05-04 02:03

administrator   ~0000676

Reporter can't duplicate anymore.

Issue History

Date Modified Username Field Change
2003-10-21 10:10 nbd New Issue
2003-10-21 10:10 nbd Note Added: 0000042
2003-10-21 11:53 nbd Note Added: 0000043
2003-10-21 23:24 paul Note Added: 0000049
2003-10-21 23:24 paul Status new => acknowledged
2003-10-22 12:20 nbd Note Added: 0000051
2003-10-23 17:45 paul Status acknowledged => resolved
2003-10-23 17:45 paul Resolution open => fixed
2003-10-23 17:45 paul Assigned To => paul
2003-10-23 17:45 paul Note Added: 0000062
2003-12-12 15:14 taybin Status resolved => closed
2003-12-12 23:00 nbd Status closed => feedback
2003-12-12 23:00 nbd Resolution fixed => reopened
2003-12-12 23:00 nbd Note Added: 0000293
2004-04-20 16:39 taybin Note Added: 0000643
2004-05-03 14:05 nbd Note Added: 0000675
2004-05-04 02:03 taybin Status feedback => closed
2004-05-04 02:03 taybin Note Added: 0000676